read.crd {bio3d} | R Documentation

## Read Coordinate Data from Amber or Charmm

### Description

Read a CHARMM CARD (CRD) or AMBER coordinate file.

### Usage

    read.crd(file, ...)

### Arguments

`file` | the name of the coordinate file to be read.
`...` | additional arguments passed to the methods `read.crd.charmm` or `read.crd.amber`.

### Details

`read.crd` is a generic function calling the corresponding function determined by the class of the input argument `x`. Use `methods("read.crd")` to get all the methods for `read.crd` generic:

`read.crd.charmm` will be used for file extension ‘.crd’.

`read.crd.amber` will be used for file extension ‘.rst’ or ‘.inpcrd’.

See examples for each corresponding function for more details.

### Value

See the ‘value’ section for the corresponding functions for more details.

### Author(s)

Barry Grant and Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.crd.amber`, `read.crd.charmm`, `write.crd`, `read.prmtop`, `read.pdb`, `write.pdb`, `atom.select`, `read.dcd`, `read.ncdf`

### Examples

    ## Not run:
    ## Read a PRMTOP file
    prmtop <- read.prmtop(system.file("examples/crambin.prmtop", package="bio3d"))
    print(prmtop)

    ## Read a Amber CRD file
    crds <- read.crd(system.file("examples/crambin.inpcrd", package="bio3d"))

    ## Atom selection
    ca.inds <- atom.select(prmtop, "calpha")

    ## Convert to PDB format
    pdb <- as.pdb(prmtop, crds, inds=ca.inds)

    ## End(Not run)

[Package bio3d version 2.3-4 Index]